stages:          # List of stages for jobs, and their order of execution

  - build

  - test

 

build-job:       # This job runs in the build stage, which runs first.

  stage: build

  script:

    - echo "Compiling the code..."

    - echo "Compile complete."

 

snykscan:

    stage: test

    image:

        name: snyk/snyk:node

        entrypoint: [""]

    script:

        - snyk auth $SNYK_AUTH

        - snyk test --all-projects || true

    only:

        - merge_request

        - master